Subject: Re: bug#63132: Bug on Darwin MacOS with 'M-x man RET commandname[ ]'

From: Eshel Yaron <[email-masked]>
Date: Tue, 02 May 2023 15:52:44 +0300

Eli Zaretskii <[email-masked]> writes:

>> I can confirm that completion in `M-x man` induces a seconds-long lag on
>> Mac OS.  I believe that has been the case, for me, for at least a couple
>> of years.  I often find myself typing out the man page name I'm looking
>> for in full and avoiding completion because of this.
>
> Are you saying that any completion in "M-x man" produces a lag?  If
> so, there's nothing we can do here, except suggest that the OP
> switches to a better OS.

Yes, exactly.  I don't know if lag is the right word, but it takes a
couple of seconds for Emacs to pop the *Completions* buffer after
hitting TAB or SPC or ?, regardless of the current input.

> The OP seemed to say that the lag happens only for some inputs
> following "M-x man", in particular those which ends with a space.  Is
> that not what you see?

That's not what I see, no.  I think OP simply stumbled upon the fact
that SPC also invokes completion, which takes a long time in this case.